scim_attribute.h File Reference

Definition of scim::Attribute and scim::AttributeList. More...

## Classes

class | scim::Attribute
| Class to store the string attributes. More...

## Namespaces

namespace | scim

## Macros

#define | SCIM_RGB_COLOR(RED, GREEN, BLUE)
#define | SCIM_RGB_COLOR_RED(COLOR)
#define | SCIM_RGB_COLOR_GREEN(COLOR)
#define | SCIM_RGB_COLOR_BLUE(COLOR)

## Typedefs

typedef std::vector< Attribute > | scim::AttributeList
| The container to store a set of Attribute objects.

## Enumerations

enum | scim::AttributeType { scim::SCIM_ATTR_NONE , scim::SCIM_ATTR_DECORATE , scim::SCIM_ATTR_FOREGROUND , scim::SCIM_ATTR_BACKGROUND }
| Enum values of the valid attribute type. More...

## Functions

bool | scim::operator< (const Attribute &lhs, const Attribute &rhs)

## Variables

const unsigned int | scim::SCIM_ATTR_DECORATE_NONE = 0
| No decorate.
const unsigned int | scim::SCIM_ATTR_DECORATE_UNDERLINE = 1
| Draw a line under the text.
const unsigned int | scim::SCIM_ATTR_DECORATE_HIGHLIGHT = 2
| Draw the text in highlighted color.
const unsigned int | scim::SCIM_ATTR_DECORATE_REVERSE = 4
| Draw the text in reverse color mode.

## Detailed Description

Definition of scim::Attribute and scim::AttributeList.

Provide class scim::Attribute to control the drawing effect of strings.